Packages
Remind signer
POST
/
packages
/
signers
/
remind
Remind signer
curl --request POST \
--url https://sandbox.syngrafii.com/api/v1/packages/signers/remind \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"packageId": "<string>",
"signerId": "<string>"
}
'import requests
url = "https://sandbox.syngrafii.com/api/v1/packages/signers/remind"
payload = {
"packageId": "<string>",
"signerId": "<string>"
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageId: '<string>', signerId: '<string>'})
};
fetch('https://sandbox.syngrafii.com/api/v1/packages/signers/remind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signer": {
"signerId": "<string>",
"packageId": "<string>",
"memberId": "<string>",
"signerTag": "<string>",
"timeCreated": "<string>",
"timeDeclined": "<string>",
"timeUpdated": "<string>",
"index": 123,
"locale": "<string>",
"signCac": true,
"verify": true,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"mobileNumberCountryCode": "<string>",
"mobileNumberOriginal": "<string>",
"mobileNumber": "<string>",
"declineMessage": "<string>",
"declineReason": "<string>",
"next": true,
"revisionsSigned": 123,
"revisionsCount": 123,
"role": "<string>",
"type": "<string>",
"state": "<string>",
"verification": {
"verificationId": "<string>",
"signerId": "<string>",
"canSign": true,
"canJoin": true,
"canRetry": true,
"hasSigned": true,
"isLocked": true,
"attempts": 123,
"errors": 123,
"continue": true,
"continueOnError": true,
"error": "<string>",
"state": "<string>"
}
}
}The
/packages/signers/remind endpoint sends a reminder to one signer in a package that is available for signing.
For a Video Signing Room (VSR) package, the signer receives a meeting notification. For other package types, the signer receives a signing reminder.
Request
Request
POST /packages/signers/remind
{
"packageId": "cf91071d-966d-41ea-b9bf-aa96a8e56c02",
"signerId": "95d2f093-cd27-4d7f-bb51-442e98ad56e8"
}
Body
string
required
Unique identifier for the package containing the signer.
string
required
Unique identifier for the signer to remind.
Response
object
Signer who received the reminder.
Show properties
Show properties
string
Unique identifier for the signer.
string
Package identifier the signer belongs to.
string
nullable
Member identifier when the signer is an organization member. (optional)
string
Tag associated with the signer. (optional)
string
When the signer record was created (ISO 8601).
string
nullable
Time the signer declined (if applicable).
string
Last update time for the signer record.
number
Signing order index.
string
nullable
Locale for the signer. (optional)
boolean
Set to
true if signer requires CAC signing.boolean
Set to
true if signer requires identity verification before signing.string
First name of the signer.
string
Last name of the signer.
string
Email address for the signer.
string
nullable
Country code for the mobile number. (optional)
string
nullable
Original mobile number provided.
string
nullable
Normalized mobile number (E.164) when available.
string
nullable
Message left by the signer when declining (if any).
string
nullable
Reason code for decline (if applicable).
boolean
Set to
true if this signer is next in signing order across the package.number
Number of revisions the signer has signed.
number
Number of revisions assigned to the signer.
string
Role of the signer.
Show values
Show values
| Value | Description |
|---|---|
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
string
Type of signer.
Show values
Show values
| Value | Description |
|---|---|
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
string
Current state of the signer.
Show values
Show values
| Value | Description |
|---|---|
| active | Signer that is actively participating in the signing process. |
| declined | Signer that has declined to participate in the signing process. |
| deleted | Signer that has been removed from the package. |
object
nullable
Signer verification status. (if any)
Show properties
Show properties
string
Identifier for the verification record.
string
Signer identifier associated with this verification.
boolean
Set to
true if the signer is can sign documents after verification.boolean
Set to
true if the signer can join VSR after verification.boolean
Set to
true if the signer may retry verification on failure.boolean
Set to
true if the signer has successfully signed after verification.boolean
Set to
true if the verification is currently locked.number
Number of verification attempts made.
number
Number of errors encountered during verification.
boolean
Whether the verification flow should continue to next step.
boolean
Whether to continue the flow when verification errors occur.
string
nullable
Current verification error code (if any).
string
Current state of the verification.
Show values
Show values
| State | Description |
|---|---|
| not_started | Signer has not started identity verification. |
| start | Signer is on start step. |
| consent | Signer is on consent step. |
| consent_processing | Server is processing consent. |
| identity | Signer is on identity verification step. |
| identity_processing | Server is processing identity verification. |
| kba | Signer is on KBA verification step. |
| kba_processing | Server is processing KBA verification. |
| document | Signer is on document verification step. |
| document_processing | Server is processing document verification. |
| end | Server is finalizing identity verification result. |
| passed | Identity verification has passed. |
| failed | Identity verification has failed and can be retried by signer. |
| failed_reset | Identity verification has failed and must be reset by package owner for signer to retry. |
| failed_locked | Identity verification has failed and is now locked and can no longer be reset by package owner. |
| error | A server error has occurred and can be retried by signer. |
| error_reset | A server error has occurred and must be reset by package owner for signer to retry. |
| error_locked | A server error has occurred and can no longer be reset by package owner. |
| cancelled | Identity verification has been cancelled. |
| cancelled_reset | Identity verification has been cancelled due to package owner resetting signer’s verification. |
| invalid | Identity verification is in an invalid state and cannot be processed. |
⌘I
Remind signer
